%define		status		stable
%define		pearname	Horde_Stream_Wrapper
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - Horde Stream wrappers
Name:		php-horde-Horde_Stream_Wrapper
Version:	1.0.1
Release:	1
License:	LGPL
Group:		Development/Languages/PHP
Source0:	http://pear.horde.org/get/%{pearname}-%{version}.tgz
# Source0-md5:	3c1505d2fac91f165cc844ffb65ed3c5
URL:		https://github.com/horde/horde/tree/master/framework/Stream_Wrapper/
BuildRequires:	php-channel(pear.horde.org)
BuildRequires:	php-packagexml2cl
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.610
Requires:	php-channel(pear.horde.org)
Requires:	php-pear >= 4:1.3.6-3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides various stream wrappers.

In PEAR status of this package is: %{status}.

%prep
%pear_package_setup

%build
packagexml2cl package.xml > ChangeLog

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog install.log
%{php_pear_dir}/.registry/.channel.*/*.reg
%{php_pear_dir}/Horde/Stream/Wrapper
%changelog
* Tue Jul 31 2012 Elan Ruusamäe <glen@delfi.ee> dbfd530
- updated to: 1.0.1

* Tue May 03 2011 Elan Ruusamäe <glen@pld-linux.org> 2451f57
- use github url to package, as pear url is not specific

* Mon Apr 11 2011 Elan Ruusamäe <glen@pld-linux.org> dc58acb
- horde dir ownership fixes

* Mon Apr 11 2011 Elan Ruusamäe <glen@pld-linux.org> 2f8412e
- Horde dir dep

* Sun Apr 10 2011 Elan Ruusamäe <glen@pld-linux.org> 0365bfe
- horde h4 pear packages

